Debian Bug report logs - #566401
Does not install firmware.agent into initramfs

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Michael Biebl <biebl@debian.org>

Date: Sat, 23 Jan 2010 12:06:05 UTC

Severity: normal

Fixed in version initramfs-tools/0.100

Done: Michael Prokop <mika@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#566401; Package udev. (Sat, 23 Jan 2010 12:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 23 Jan 2010 12:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Does not install firmware.agent into initramfs
Date: Sat, 23 Jan 2010 13:05:09 +0100
Package: udev
Version: 150-2
Severity: normal

Hi,

/usr/share/initramfs-tools/hooks/udev installs 80-drivers.rules into the
initramfs which references firmware.agent:

80-drivers.rules:SUBSYSTEM=="firmware",RUN+="firmware.agent"

But firmware.agent is not installed by default. I assume the udev hook
should be updated to do so.

Cheers,
Michael


-- Package-specific info:
-- /etc/udev/rules.d/:
/etc/udev/rules.d/:
total 28
lrwxrwxrwx 1 root root   19 Nov  1 05:31 025_libgphoto2.rules -> ../libgphoto2.rules
-rw-r--r-- 1 root root  496 Dec  3 20:05 56-hpmud_support.rules
-rw-r--r-- 1 root root 1048 Nov 12 09:16 70-persistent-cd.rules
-rw-r--r-- 1 root root  822 Nov 12 23:01 70-persistent-net.rules
-rw-r--r-- 1 root root  805 Dec  3 12:29 80-canon_mfp.rules
-rw-r--r-- 1 root root  356 Jan 17 23:37 90-xorg.rules
lrwxrwxrwx 1 root root   15 Nov  1 05:33 z60_hdparm.rules -> ../hdparm.rules
-rw-r--r-- 1 root root 7117 Apr 12  2009 z60_xserver-xorg-input-wacom.rules

-- /sys/:
/sys/dev
/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3/dev
/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:00/LNXVIDEO:00/input/input5/event5/dev
/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1/dev
/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2/dev
/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/drm/card0/dev
/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/drm/controlD64/dev
/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/graphics/fb0/dev
/sys/devices/pci0000:00/0000:00:1d.0/usb2/dev
/sys/devices/pci0000:00/0000:00:1d.1/usb3/dev
/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-2/dev
/sys/devices/pci0000:00/0000:00:1d.2/usb4/dev
/sys/devices/pci0000:00/0000:00:1d.7/usb1/dev
/sys/devices/pci0000:00/0000:00:1e.0/0000:02:00.0/fw0/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda1/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda2/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda3/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda5/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda6/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda7/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda8/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda9/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/bsg/0:0:0:0/dev
/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/scsi_generic/sg0/dev
/sys/devices/pci0000:00/0000:00:1f.1/host1/target1:0:0/1:0:0:0/block/sr0/dev
/sys/devices/pci0000:00/0000:00:1f.1/host1/target1:0:0/1:0:0:0/bsg/1:0:0:0/dev
/sys/devices/pci0000:00/0000:00:1f.1/host1/target1:0:0/1:0:0:0/scsi_generic/sg1/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/adsp/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/audio/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/controlC0/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/dsp/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/mixer/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/pcmC0D0c/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/pcmC0D0p/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/pcmC0D1c/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/pcmC0D2c/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/pcmC0D3c/dev
/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/pcmC0D4p/dev
/sys/devices/pci0000:00/0000:00:1f.6/sound/card1/audio1/dev
/sys/devices/pci0000:00/0000:00:1f.6/sound/card1/controlC1/dev
/sys/devices/pci0000:00/0000:00:1f.6/sound/card1/dsp1/dev
/sys/devices/pci0000:00/0000:00:1f.6/sound/card1/mixer1/dev
/sys/devices/pci0000:00/0000:00:1f.6/sound/card1/pcmC1D0c/dev
/sys/devices/pci0000:00/0000:00:1f.6/sound/card1/pcmC1D0p/dev
/sys/devices/platform/i8042/serio0/input/input0/event0/dev
/sys/devices/platform/i8042/serio4/input/input6/event6/dev
/sys/devices/platform/i8042/serio4/input/input6/mouse0/dev
/sys/devices/platform/pcspkr/input/input4/event4/dev
/sys/devices/platform/serial8250/tty/ttyS1/dev
/sys/devices/platform/serial8250/tty/ttyS2/dev
/sys/devices/platform/serial8250/tty/ttyS3/dev
/sys/devices/pnp0/00:03/tty/ttyS0/dev
/sys/devices/pnp0/00:05/ppdev/parport0/dev
/sys/devices/pnp0/00:05/printer/lp0/dev
/sys/devices/pnp0/00:09/rtc/rtc0/dev
/sys/devices/virtual/input/mice/dev
/sys/devices/virtual/mem/full/dev
/sys/devices/virtual/mem/kmsg/dev
/sys/devices/virtual/mem/mem/dev
/sys/devices/virtual/mem/null/dev
/sys/devices/virtual/mem/port/dev
/sys/devices/virtual/mem/random/dev
/sys/devices/virtual/mem/urandom/dev
/sys/devices/virtual/mem/zero/dev
/sys/devices/virtual/misc/agpgart/dev
/sys/devices/virtual/misc/cpu_dma_latency/dev
/sys/devices/virtual/misc/device-mapper/dev
/sys/devices/virtual/misc/fuse/dev
/sys/devices/virtual/misc/hpet/dev
/sys/devices/virtual/misc/mcelog/dev
/sys/devices/virtual/misc/network_latency/dev
/sys/devices/virtual/misc/network_throughput/dev
/sys/devices/virtual/misc/psaux/dev
/sys/devices/virtual/misc/rfkill/dev
/sys/devices/virtual/misc/snapshot/dev
/sys/devices/virtual/misc/vga_arbiter/dev
/sys/devices/virtual/sound/seq/dev
/sys/devices/virtual/sound/timer/dev
/sys/devices/virtual/tty/console/dev
/sys/devices/virtual/tty/ptmx/dev
/sys/devices/virtual/tty/tty/dev
/sys/devices/virtual/tty/tty0/dev
/sys/devices/virtual/tty/tty1/dev
/sys/devices/virtual/tty/tty10/dev
/sys/devices/virtual/tty/tty11/dev
/sys/devices/virtual/tty/tty12/dev
/sys/devices/virtual/tty/tty13/dev
/sys/devices/virtual/tty/tty14/dev
/sys/devices/virtual/tty/tty15/dev
/sys/devices/virtual/tty/tty16/dev
/sys/devices/virtual/tty/tty17/dev
/sys/devices/virtual/tty/tty18/dev
/sys/devices/virtual/tty/tty19/dev
/sys/devices/virtual/tty/tty2/dev
/sys/devices/virtual/tty/tty20/dev
/sys/devices/virtual/tty/tty21/dev
/sys/devices/virtual/tty/tty22/dev
/sys/devices/virtual/tty/tty23/dev
/sys/devices/virtual/tty/tty24/dev
/sys/devices/virtual/tty/tty25/dev
/sys/devices/virtual/tty/tty26/dev
/sys/devices/virtual/tty/tty27/dev
/sys/devices/virtual/tty/tty28/dev
/sys/devices/virtual/tty/tty29/dev
/sys/devices/virtual/tty/tty3/dev
/sys/devices/virtual/tty/tty30/dev
/sys/devices/virtual/tty/tty31/dev
/sys/devices/virtual/tty/tty32/dev
/sys/devices/virtual/tty/tty33/dev
/sys/devices/virtual/tty/tty34/dev
/sys/devices/virtual/tty/tty35/dev
/sys/devices/virtual/tty/tty36/dev
/sys/devices/virtual/tty/tty37/dev
/sys/devices/virtual/tty/tty38/dev
/sys/devices/virtual/tty/tty39/dev
/sys/devices/virtual/tty/tty4/dev
/sys/devices/virtual/tty/tty40/dev
/sys/devices/virtual/tty/tty41/dev
/sys/devices/virtual/tty/tty42/dev
/sys/devices/virtual/tty/tty43/dev
/sys/devices/virtual/tty/tty44/dev
/sys/devices/virtual/tty/tty45/dev
/sys/devices/virtual/tty/tty46/dev
/sys/devices/virtual/tty/tty47/dev
/sys/devices/virtual/tty/tty48/dev
/sys/devices/virtual/tty/tty49/dev
/sys/devices/virtual/tty/tty5/dev
/sys/devices/virtual/tty/tty50/dev
/sys/devices/virtual/tty/tty51/dev
/sys/devices/virtual/tty/tty52/dev
/sys/devices/virtual/tty/tty53/dev
/sys/devices/virtual/tty/tty54/dev
/sys/devices/virtual/tty/tty55/dev
/sys/devices/virtual/tty/tty56/dev
/sys/devices/virtual/tty/tty57/dev
/sys/devices/virtual/tty/tty58/dev
/sys/devices/virtual/tty/tty59/dev
/sys/devices/virtual/tty/tty6/dev
/sys/devices/virtual/tty/tty60/dev
/sys/devices/virtual/tty/tty61/dev
/sys/devices/virtual/tty/tty62/dev
/sys/devices/virtual/tty/tty63/dev
/sys/devices/virtual/tty/tty7/dev
/sys/devices/virtual/tty/tty8/dev
/sys/devices/virtual/tty/tty9/dev
/sys/devices/virtual/vc/vcs/dev
/sys/devices/virtual/vc/vcs1/dev
/sys/devices/virtual/vc/vcs2/dev
/sys/devices/virtual/vc/vcs3/dev
/sys/devices/virtual/vc/vcs4/dev
/sys/devices/virtual/vc/vcs5/dev
/sys/devices/virtual/vc/vcs6/dev
/sys/devices/virtual/vc/vcs63/dev
/sys/devices/virtual/vc/vcs7/dev
/sys/devices/virtual/vc/vcs8/dev
/sys/devices/virtual/vc/vcsa/dev
/sys/devices/virtual/vc/vcsa1/dev
/sys/devices/virtual/vc/vcsa2/dev
/sys/devices/virtual/vc/vcsa3/dev
/sys/devices/virtual/vc/vcsa4/dev
/sys/devices/virtual/vc/vcsa5/dev
/sys/devices/virtual/vc/vcsa6/dev
/sys/devices/virtual/vc/vcsa63/dev
/sys/devices/virtual/vc/vcsa7/dev
/sys/devices/virtual/vc/vcsa8/dev

-- Kernel configuration:
 init_tmpfs not present.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.33-rc5 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]        1.5.28      Debian configuration management sy
ii  libc6                        2.10.2-5    Embedded GNU C Library: Shared lib
ii  libselinux1                  2.0.89-4    SELinux runtime shared libraries
ii  libudev0                     150-2       libudev shared library
ii  libusb-0.1-4                 2:0.1.12-13 userspace USB programming library
ii  lsb-base                     3.2-23      Linux Standard Base 3.2 init scrip
ii  util-linux                   2.16.2-0    Miscellaneous system utilities

Versions of packages udev recommends:
ii  pciutils                      1:3.1.4-5  Linux PCI Utilities
ii  usbutils                      0.86-3     Linux USB utilities

udev suggests no packages.

-- debconf information excluded




Reply sent to md@Linux.IT (Marco d'Itri):
You have taken responsibility. (Sat, 23 Jan 2010 15:58:17 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Sat, 23 Jan 2010 15:58:18 GMT) Full text and rfc822 format available.

Message #10 received at 566401-done@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Michael Biebl <biebl@debian.org>, 566401-done@bugs.debian.org
Subject: Re: Bug#566401: Does not install firmware.agent into initramfs
Date: Sat, 23 Jan 2010 16:51:14 +0100
[Message part 1 (text/plain, inline)]
On Jan 23, Michael Biebl <biebl@debian.org> wrote:

> But firmware.agent is not installed by default. I assume the udev hook
/usr/share/initramfs-tools/hook-functions

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#566401; Package udev. (Sat, 23 Jan 2010 16:06:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 23 Jan 2010 16:06:19 GMT) Full text and rfc822 format available.

Message #15 received at 566401@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Marco d'Itri <md@Linux.IT>
Cc: 566401@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#566401: Does not install firmware.agent into initramfs
Date: Sat, 23 Jan 2010 17:00:29 +0100
[Message part 1 (text/plain, inline)]
reopen 566401
thanks
On 23.01.2010 16:51, Marco d'Itri wrote:
> On Jan 23, Michael Biebl <biebl@debian.org> wrote:
> 
>> But firmware.agent is not installed by default. I assume the udev hook
> /usr/share/initramfs-tools/hook-functions
> 

See this:

pluto:/tmp/initramfs# update-initramfs -u -k 2.6.32-trunk-686
update-initramfs: Generating /boot/initrd.img-2.6.32-trunk-686
pluto:/tmp/initramfs# zcat /boot/initrd.img-2.6.32-trunk-686 | cpio -i
44607 blocks
pluto:/tmp/initramfs# find -name firmware.agent
pluto:/tmp/initramfs# ls lib/udev/
ata_id  edd_id  hotplug.functions  path_id  rules.d  scsi_id  usb_id


There is no firmware.agent in the initramfs, so reopening the bug report.

If installing the firmware.agent is supposed to be handled by initramfs-tools,
then this bug should be reassigned.
But I'm actually surprised that not udev is taking care of installing
firmware.agent.


Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jan 2010 16:06:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#566401; Package udev. (Sat, 23 Jan 2010 16:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 23 Jan 2010 16:12:10 GMT) Full text and rfc822 format available.

Message #22 received at 566401@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Michael Biebl <biebl@debian.org>, initramfs-tools@packages.debian.org
Cc: 566401@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#566401: Does not install firmware.agent into initramfs
Date: Sat, 23 Jan 2010 17:06:25 +0100
[Message part 1 (text/plain, inline)]
reassign 566401 initramfs-tools
thanks

On Jan 23, Michael Biebl <biebl@debian.org> wrote:

> See this:
See this:

md@bongo:~$zcat /boot/initrd.img-2.6.32-trunk-686|cpio -t|grep firmware.agent
39945 blocks
lib/udev/firmware.agent
md@bongo:~$

> If installing the firmware.agent is supposed to be handled by initramfs-tools,
> then this bug should be reassigned.
Done.

> But I'm actually surprised that not udev is taking care of installing
> firmware.agent.
Me too, but it has always worked this way.
I would not mind doing it in a udev script (and I see no harm in adding
this to the next release), but I do not want to add just for this a
versioned conflict which will make upgrades more complex so
initramfs-tools will need to be fixed anyway.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'udev' to 'initramfs-tools'. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sat, 23 Jan 2010 16:12:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions udev/150-2. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sat, 23 Jan 2010 16:12:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#566401; Package initramfs-tools. (Wed, 24 Feb 2010 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 24 Feb 2010 17:21:03 GMT) Full text and rfc822 format available.

Message #31 received at 566401@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Marco d'Itri <md@Linux.IT>, 566401@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, initramfs-tools@packages.debian.org
Subject: Re: Bug#566401: Does not install firmware.agent into initramfs
Date: Wed, 24 Feb 2010 18:19:26 +0100
On Sat, 23 Jan 2010, Marco d'Itri wrote:

> 
> > But I'm actually surprised that not udev is taking care of installing
> > firmware.agent.
> Me too, but it has always worked this way.
> I would not mind doing it in a udev script (and I see no harm in adding
> this to the next release), but I do not want to add just for this a
> versioned conflict which will make upgrades more complex so
> initramfs-tools will need to be fixed anyway.

shall the udev hook take care of it to add it anyway
and i remove the addition?

thanks for the notice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#566401; Package initramfs-tools. (Wed, 24 Feb 2010 17:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 24 Feb 2010 17:33:08 GMT) Full text and rfc822 format available.

Message #36 received at 566401@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: maximilian attems <max@stro.at>
Cc: 566401@bugs.debian.org, Michael Biebl <biebl@debian.org>, initramfs-tools@packages.debian.org
Subject: Re: Bug#566401: Does not install firmware.agent into initramfs
Date: Wed, 24 Feb 2010 18:22:36 +0100
[Message part 1 (text/plain, inline)]
On Feb 24, maximilian attems <max@stro.at> wrote:

> shall the udev hook take care of it to add it anyway
> and i remove the addition?
udev now installs it, but it cannot be removed from initramfs-tools
until there will be a versioned dependency which will guarantee a
working system (and I do not want to add one just for this).

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#566401; Package initramfs-tools. (Wed, 24 Feb 2010 17:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 24 Feb 2010 17:54:06 GMT) Full text and rfc822 format available.

Message #41 received at 566401@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Marco d'Itri <md@Linux.IT>
Cc: 566401@bugs.debian.org, Michael Biebl <biebl@debian.org>, initramfs-tools@packages.debian.org
Subject: Re: Bug#566401: Does not install firmware.agent into initramfs
Date: Wed, 24 Feb 2010 18:42:42 +0100
On Wed, Feb 24, 2010 at 06:22:36PM +0100, Marco d'Itri wrote:
> On Feb 24, maximilian attems <max@stro.at> wrote:
> 
> > shall the udev hook take care of it to add it anyway
> > and i remove the addition?
> udev now installs it, but it cannot be removed from initramfs-tools
> until there will be a versioned dependency which will guarantee a
> working system (and I do not want to add one just for this).

well, right I could add one on initramfs-tools side, but then people
have pain on dist-upgrade.
let's keep that bug report and I'll remove the addition postsqueeze and
then bump dep on that udev version that first shipped it.




Added tag(s) pending. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 16 May 2011 12:38:38 GMT) Full text and rfc822 format available.

Reply sent to Michael Prokop <mika@debian.org>:
You have taken responsibility. (Tue, 14 Feb 2012 14:51:07 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Tue, 14 Feb 2012 14:51:07 GMT) Full text and rfc822 format available.

Message #48 received at 566401-close@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: 566401-close@bugs.debian.org
Subject: Bug#566401: fixed in initramfs-tools 0.100
Date: Tue, 14 Feb 2012 14:48:33 +0000
Source: initramfs-tools
Source-Version: 0.100

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.100.dsc
  to main/i/initramfs-tools/initramfs-tools_0.100.dsc
initramfs-tools_0.100.tar.gz
  to main/i/initramfs-tools/initramfs-tools_0.100.tar.gz
initramfs-tools_0.100_all.deb
  to main/i/initramfs-tools/initramfs-tools_0.100_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566401@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Prokop <mika@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Feb 2012 14:42:23 +0100
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.100
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Michael Prokop <mika@debian.org>
Description: 
 initramfs-tools - generic modular initramfs generator
Closes: 454665 566401 586381 589963 601319 607888 610462 615831 624702 628374 636495 639902 649399
Changes: 
 initramfs-tools (0.100) unstable; urgency=low
 .
   Release "singing in the snow ☃☃☃"
 .
   [ Michael Prokop ]
   * [16280bb] lsinitramfs: support xz/lzma, bzip2 and lzop as compress
     methods. (Closes: #586381)
   * [ee16a4e] set_initlist: redirect warning messages to stderr.
     (Closes: #601319)
   * [af110e0] Alternate Recommends on busybox-static (Closes: #639902,
     #454665)
   * [b61413d] warn user if directory is present in confdir
     (Closes: #610462)
 .
   [ maximilian attems ]
   * [5409ca7] manual_add_modules: No longer add firmware.agent too.
     (Closes: #566401)
   * [4f98b0b] mkinitramfs: Use version comparison for xz or other
     compression tools (Closes: #624702)
   * [d479b47] initramfs-tools: rephrase description
   * [07c822f] mkinitramfs: Check if TMPDIR is writable
   * [b9ff58c] mkinitramfs: Use /var/tmp rather then /tmp for space reasons
   * [bd3c5d8] Revert "Revert "mkinitramfs: Nuke MIN_VERSION handling.""
   * [313db4c] MODULES=dep: Use /sys again to decide for libata or ide
     (Closes: #607888)
   * [9bec96f] debian/control: Drop versioned depend on pre-Etch udev
     version
   * [02ea666] debian/control: Tighten dep on klibc-utils 1.5.23-2
   * [5c68e6e] init: Prepare for switch_root(8) usage
   * [5e1f500] update-initramfs: Cleanup nowadays unused run_lilo()
   * [b0d14a0] update-initramfs: run_bootloader() hooks on create too
   * [8d0ffcb] preinst: get rid of awk usage (Closes: #589963)
 .
   [ Timo Juhani Lindfors ]
   * [63932cc] panic(): print the name of each module before loading it
   * [cd1981e] panic: Load modules for highly probable USB keyboard
     (Closes: #615831)
 .
   [ Martin Pitt ]
   * [b1530ee] hooks/busybox: Fix 2.99 busybox breakage (Closes: #628374)
 .
   [ Alkis Georgopoulos ]
   * [b938c7e] configure_networking() wait for udev to populate available
     nics (LP: #682445)
 .
   [ Harald Hoyer ]
   * [9249db6] MODULES=dep: awk free version for root dev search
 .
   [ Sven Joachim ]
   * [717397c] copy_exec: Handle optimized libraries under multiarch paths
     (Closes: #636495)
 .
   [ Colin Watson ]
   * [6cf2bd7] mark Multi-Arch: foreign (Closes: #649399)
Checksums-Sha1: 
 bc2050eeb1a6bf59db6cd28df61a0ff5caa2d9aa 1020 initramfs-tools_0.100.dsc
 dc490fd5ced826064036e9673a85e046123da4f5 83219 initramfs-tools_0.100.tar.gz
 22bb0cebf88b5e0565760739f6ccb4f877558dfd 89390 initramfs-tools_0.100_all.deb
Checksums-Sha256: 
 82ba37e8eee1a451f65bcc1967b3f4d7866c19735f32f66b405ee0a2de70a9cb 1020 initramfs-tools_0.100.dsc
 137e0df9d7ad85aaf0094f18c1850e6eb37b1d120efcffb158b73ec806b3b0c2 83219 initramfs-tools_0.100.tar.gz
 da173ff372cfbc2b6869c42bdbe85365376052fb94363f73b89f4432a0868bf7 89390 initramfs-tools_0.100_all.deb
Files: 
 9bc857366110e632f554fba12d45f827 1020 utils optional initramfs-tools_0.100.dsc
 1b684b9f57c5e266f6a3ebf5bbbfab12 83219 utils optional initramfs-tools_0.100.tar.gz
 2a0d2934df4d5e3ddcc64997df3c0009 89390 utils optional initramfs-tools_0.100_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk86ZZUACgkQ2N9T+zficujjIwCdEcCfsrXrrKNXXbdN5B3E79Al
y+IAnjGWyvw9ltDoq36cs52PW4O7sEms
=OH9R
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Mar 2012 07:35:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:28:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.